Package opennlp.tools.util

## Class ObjectStreamUtils

- java.lang.Object
- - opennlp.tools.util.ObjectStreamUtils

-     public class ObjectStreamUtils
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ObjectStreamUtils()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static <T> ObjectStream<T>` | `concatenateObjectStream​(Collection<ObjectStream<T>> streams)` | Creates a single concatenated ObjectStream from multiple individual ObjectStreams with the same type.
    `static <T> ObjectStream<T>` | `concatenateObjectStream​(ObjectStream<T>... streams)` | Creates a single concatenated ObjectStream from multiple individual ObjectStreams with the same type.
    `static <T> ObjectStream<T>` | `createObjectStream​(Collection<T> collection)` | Creates an `ObjectStream` form a collection.
    `static <T> ObjectStream<T>` | `createObjectStream​(T... array)` | Creates an `ObjectStream` form an array.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ObjectStreamUtils

          public ObjectStreamUtils()

  - ### Method Detail

    - #### createObjectStream

          @SafeVarargs
          public static <T> ObjectStream<T> createObjectStream​(T... array)

      Creates an `ObjectStream` form an array.
      Type Parameters:
        `T` -
      Parameters:
        `array` -
      Returns:
        the object stream over the array elements

    - #### createObjectStream

          public static <T> ObjectStream<T> createObjectStream​(Collection<T> collection)

      Creates an `ObjectStream` form a collection.
      Type Parameters:
        `T` -
      Parameters:
        `collection` -
      Returns:
        the object stream over the collection elements

    - #### concatenateObjectStream

          public static <T> ObjectStream<T> concatenateObjectStream​(Collection<ObjectStream<T>> streams)

      Creates a single concatenated ObjectStream from multiple individual ObjectStreams with the same type.
      Parameters:
        `streams` -
      Returns:

    - #### concatenateObjectStream

          @SafeVarargs
          public static <T> ObjectStream<T> concatenateObjectStream​(ObjectStream<T>... streams)

      Creates a single concatenated ObjectStream from multiple individual ObjectStreams with the same type.
      Parameters:
        `streams` -
      Returns: